<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
	<class name="gov.va.med.cds.mediator.persistence.Hl7MessageLog" table="AUDIT_HL7_AA_LOG" lazy="false">
		<id type="java.lang.Long">
			<column name="AUDIT_HL7_AA_LOG_ID" />
			<generator class="sequence">
				<param name="sequence">AUDIT_HL7_AA_LOG_SEQ_ID</param>
			</generator>
		</id>
		<property name="messageControlId" column="MESSAGE_CONTROL_ID" />
		<property name="messageType" column="MESSAGE_TY" />
		<property name="messageDateTime" column="MESSAGE_DATE_TIME" />
		<property name="message" column="MESSAGE" />
		<property name="additionalInfo" column="ADDITIONAL_INFO" />
	</class>
</hibernate-mapping>